Debian Bug report logs - #635659
ITA: libdbi -- DB Independent Abstraction Layer for C

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Thomas Goirand <zigo@debian.org>

Date: Wed, 27 Jul 2011 23:09:05 UTC

Owned by: Prach Pongpanich <prachpub@gmail.com>

Severity: normal

Fixed in version libdbi/0.9.0-1

Done: Laszlo Boszormenyi (GCS) <gcs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#635659; Package wnpp. (Wed, 27 Jul 2011 23:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Wed, 27 Jul 2011 23:09:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFA: libdbi
Date: Thu, 28 Jul 2011 01:00:34 +0200
Package: wnpp
Severity: normal


Considering that I had no reply on my proposal to team maintain
libdbi / libdbi-drivers in -devel and -release, and for other
reasons that I don't have to explain (concerned people know why),
I'm opening this RFA.




Changed Bug title to 'RFA: libdbi -- <missing description>' from 'RFA: libdbi' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Tue, 10 Jan 2012 01:12:37 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFA: libdbi1 -- DB Independent Abstraction Layer for C -- shared library' from 'RFA: libdbi -- <missing description>' Request was from Dario Minnucci <midget@debian.org> to control@bugs.debian.org. (Fri, 27 Apr 2012 03:51:02 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFA: libdbi -- DB Independent Abstraction Layer for C -- shared library' from 'RFA: libdbi1 -- DB Independent Abstraction Layer for C -- shared library' Request was from Dario Minnucci <midget@debian.org> to control@bugs.debian.org. (Fri, 27 Apr 2012 04:09:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#635659; Package wnpp. (Mon, 10 Jun 2013 17:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Prach Pongpanich <prachpub@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 10 Jun 2013 17:33:10 GMT) Full text and rfc822 format available.

Message #16 received at 635659@bugs.debian.org (full text, mbox):

From: Prach Pongpanich <prachpub@gmail.com>
To: 635659@bugs.debian.org
Subject: Re: RFA: libdbi
Date: Tue, 11 Jun 2013 00:32:28 +0700
Hi Thomas,

I intend to adopt this package and update it to the lastest upstream version.

Regrads,
 Prach



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#635659; Package wnpp. (Wed, 15 Jan 2014 10:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to 635659@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 15 Jan 2014 10:12:05 GMT) Full text and rfc822 format available.

Message #21 received at 635659@bugs.debian.org (full text, mbox):

From: Gergely Nagy <algernon@balabit.hu>
To: 635659@bugs.debian.org
Cc: Thomas Goirand <zigo@debian.org>, Prach Pongpanich <prachpub@gmail.com>
Subject: Any progress? (Was: Re: RFA: libdbi)
Date: Wed, 15 Jan 2014 11:03:20 +0100
Hi!

I was wondering if there's any progress in adopting the package, and
packaging the new upstream version? syslog-ng could really use an
updated (0.9.0+) version. If there's no progress, I would like to update
the package to the new upstream version, and bring it under
collab-maint/ on git.d.o. (And possibly adopt it, for the time being)

-- 
|8]




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#635659; Package wnpp. (Wed, 15 Jan 2014 10:21:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 15 Jan 2014 10:21:19 GMT) Full text and rfc822 format available.

Message #26 received at 635659@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: 635659@bugs.debian.org
Cc: Gergely Nagy <algernon@balabit.hu>, Prach Pongpanich <prachpub@gmail.com>
Subject: Re: Any progress? (Was: Re: RFA: libdbi)
Date: Wed, 15 Jan 2014 18:17:21 +0800
On 01/15/2014 06:03 PM, Gergely Nagy wrote:
> Hi!
> 
> I was wondering if there's any progress in adopting the package, and
> packaging the new upstream version? syslog-ng could really use an
> updated (0.9.0+) version. If there's no progress, I would like to update
> the package to the new upstream version, and bring it under
> collab-maint/ on git.d.o. (And possibly adopt it, for the time being)

Hi,

Please go ahead and adopt libdbi and libdbi-drivers.

Since these 2 packages are high in the popcon, it is important that the
work is done well, with care, taking enough time to do so. I did fill a
RFA for that reason: I don't have time to maintain it correctly (I
already maintain too many packages in Debian).

If you adopt it and put it in the git of collab-maint, then great!
Please keep me in the uploaders list then.

Cheers,

Thomas Goirand (zigo)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#635659; Package wnpp. (Wed, 15 Jan 2014 10:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gergely Nagy <algernon@balabit.hu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 15 Jan 2014 10:51:05 GMT) Full text and rfc822 format available.

Message #31 received at 635659@bugs.debian.org (full text, mbox):

From: Gergely Nagy <algernon@balabit.hu>
To: Thomas Goirand <zigo@debian.org>
Cc: 635659@bugs.debian.org, Prach Pongpanich <prachpub@gmail.com>
Subject: Re: Any progress?
Date: Wed, 15 Jan 2014 11:49:44 +0100
Control: retitle -1 ITA: libdbi -- DB Independent Abstraction Layer for C

Thomas Goirand <zigo@debian.org> writes:

> On 01/15/2014 06:03 PM, Gergely Nagy wrote:
>> Hi!
>> 
>> I was wondering if there's any progress in adopting the package, and
>> packaging the new upstream version? syslog-ng could really use an
>> updated (0.9.0+) version. If there's no progress, I would like to update
>> the package to the new upstream version, and bring it under
>> collab-maint/ on git.d.o. (And possibly adopt it, for the time being)
>
> Hi,
>
> Please go ahead and adopt libdbi and libdbi-drivers.
>
> Since these 2 packages are high in the popcon, it is important that the
> work is done well, with care, taking enough time to do so. I did fill a
> RFA for that reason: I don't have time to maintain it correctly (I
> already maintain too many packages in Debian).
>
> If you adopt it and put it in the git of collab-maint, then great!
> Please keep me in the uploaders list then.

They will be taken good care of. Since it is something we need at $work,
I'll have enough time to do a good job. I'll keep you in uploaders for
both packages.

-- 
|8]




Changed Bug title to 'ITA: libdbi -- DB Independent Abstraction Layer for C' from 'RFA: libdbi -- DB Independent Abstraction Layer for C -- shared library' Request was from Gergely Nagy <algernon@balabit.hu> to 635659-submit@bugs.debian.org. (Wed, 15 Jan 2014 10:51:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#635659; Package wnpp. (Wed, 15 Jan 2014 11:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Prach Pongpanich <prachpub@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 15 Jan 2014 11:21:08 GMT) Full text and rfc822 format available.

Message #38 received at 635659@bugs.debian.org (full text, mbox):

From: Prach Pongpanich <prachpub@gmail.com>
To: Thomas Goirand <zigo@debian.org>
Cc: 635659@bugs.debian.org, Gergely Nagy <algernon@balabit.hu>
Subject: Re: Any progress? (Was: Re: RFA: libdbi)
Date: Wed, 15 Jan 2014 15:19:26 +0400
On Wed, Jan 15, 2014 at 2:17 PM, Thomas Goirand <zigo@debian.org> wrote:
> On 01/15/2014 06:03 PM, Gergely Nagy wrote:
>> Hi!
>>
>> I was wondering if there's any progress in adopting the package, and
>> packaging the new upstream version? syslog-ng could really use an
>> updated (0.9.0+) version. If there's no progress, I would like to update
>> the package to the new upstream version, and bring it under
>> collab-maint/ on git.d.o. (And possibly adopt it, for the time being)
>
> Hi,
>
> Please go ahead and adopt libdbi and libdbi-drivers.
>
> Since these 2 packages are high in the popcon, it is important that the
> work is done well, with care, taking enough time to do so. I did fill a
> RFA for that reason: I don't have time to maintain it correctly (I
> already maintain too many packages in Debian).
>
> If you adopt it and put it in the git of collab-maint, then great!
> Please keep me in the uploaders list then.
>

Hi,

I have been waiting for your response for long time.

Regards,
 Prach



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#635659; Package wnpp. (Wed, 15 Jan 2014 11:42:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 15 Jan 2014 11:42:10 GMT) Full text and rfc822 format available.

Message #43 received at 635659@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Prach Pongpanich <prachpub@gmail.com>
Cc: 635659@bugs.debian.org, Gergely Nagy <algernon@balabit.hu>
Subject: Re: Any progress? (Was: Re: RFA: libdbi)
Date: Wed, 15 Jan 2014 19:39:02 +0800
On 01/15/2014 07:19 PM, Prach Pongpanich wrote:
> On Wed, Jan 15, 2014 at 2:17 PM, Thomas Goirand <zigo@debian.org> wrote:
>> On 01/15/2014 06:03 PM, Gergely Nagy wrote:
>>> Hi!
>>>
>>> I was wondering if there's any progress in adopting the package, and
>>> packaging the new upstream version? syslog-ng could really use an
>>> updated (0.9.0+) version. If there's no progress, I would like to update
>>> the package to the new upstream version, and bring it under
>>> collab-maint/ on git.d.o. (And possibly adopt it, for the time being)
>>
>> Hi,
>>
>> Please go ahead and adopt libdbi and libdbi-drivers.
>>
>> Since these 2 packages are high in the popcon, it is important that the
>> work is done well, with care, taking enough time to do so. I did fill a
>> RFA for that reason: I don't have time to maintain it correctly (I
>> already maintain too many packages in Debian).
>>
>> If you adopt it and put it in the git of collab-maint, then great!
>> Please keep me in the uploaders list then.
>>
> 
> Hi,
> 
> I have been waiting for your response for long time.
> 
> Regards,
>  Prach

Sorry, I missed it then.

Thomas




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#635659; Package wnpp. (Wed, 15 Jan 2014 13:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gergely Nagy <algernon@balabit.hu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 15 Jan 2014 13:15:09 GMT) Full text and rfc822 format available.

Message #48 received at 635659@bugs.debian.org (full text, mbox):

From: Gergely Nagy <algernon@balabit.hu>
To: Prach Pongpanich <prachpub@gmail.com>
Cc: Thomas Goirand <zigo@debian.org>, 635659@bugs.debian.org
Subject: Re: Any progress?
Date: Wed, 15 Jan 2014 14:10:12 +0100
Prach Pongpanich <prachpub@gmail.com> writes:

> I have been waiting for your response for long time.

I can put you both as Uploaders. Or even better, I'd be happiest if I
didn't have to adopt the package at all. If a 0.9.0 packaging can be
done and upload within a week, that's fine with me. The less I need to
do, the better.

-- 
|8]




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#635659; Package wnpp. (Wed, 15 Jan 2014 14:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 15 Jan 2014 14:33:05 GMT) Full text and rfc822 format available.

Message #53 received at 635659@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Gergely Nagy <algernon@balabit.hu>
Cc: Prach Pongpanich <prachpub@gmail.com>, 635659@bugs.debian.org
Subject: Re: Any progress?
Date: Wed, 15 Jan 2014 22:29:57 +0800
On 01/15/2014 09:10 PM, Gergely Nagy wrote:
> Prach Pongpanich <prachpub@gmail.com> writes:
> 
>> I have been waiting for your response for long time.
> 
> I can put you both as Uploaders. Or even better, I'd be happiest if I
> didn't have to adopt the package at all. If a 0.9.0 packaging can be
> done and upload within a week, that's fine with me. The less I need to
> do, the better.

I took over the maintenance of libdbi / libdbi-drivers because they were
largely unmaintained. Though these are vital pieces of libraries in Debian.

So, really, best is to put this in collab maint (and put us 3 as
maintainers), and make sure that as many people as possible can work on
the packaging of it, because it doesn't seem like there's been a huge
motivation to work on it lately (look when first I wrote the RFA...).

Cheers,

Thomas Goirand (zigo)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#635659; Package wnpp. (Thu, 16 Jan 2014 08:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to László Böszörményi (GCS) <gcs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 16 Jan 2014 08:15:05 GMT) Full text and rfc822 format available.

Message #58 received at 635659@bugs.debian.org (full text, mbox):

From: László Böszörményi (GCS) <gcs@debian.org>
To: Gergely Nagy <algernon@balabit.hu>, Thomas Goirand <zigo@debian.org>
Cc: Prach Pongpanich <prachpub@gmail.com>, 635659@bugs.debian.org
Subject: libdbi{,-drivers} maintenance
Date: Thu, 16 Jan 2014 09:11:59 +0100
Hi,

I'm the maintainer of sqlite and sqlite3 and back then I was the only
syslog-ng maintainer. Thus when I saw libdbi and libdbi-drivers is up
for adoption, started working on them. It was March, last year. When
almost finished, I put it down, I don't know the reason.
Still, yesterday I've made the last bits. Both build fine with
pbuilder. You can grab them[1][2] for testing. May I be their
maintainers, adding whoever wants it as uploader or is there anyone
else to continue the packaging?
The only one change that pending, is the removal of sqlite and thus
libdbd-sqlite will be gone with that.

Regards,
Laszlo/GCS
[1] dget -x http://www.barcikacomp.hu/gcs/libdbi_0.9.0-1.dsc
[2] dget -x http://www.barcikacomp.hu/gcs/libdbi-drivers_0.9.0-1.dsc



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#635659; Package wnpp. (Thu, 16 Jan 2014 10:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gergely Nagy <algernon@balabit.hu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 16 Jan 2014 10:39:04 GMT) Full text and rfc822 format available.

Message #63 received at 635659@bugs.debian.org (full text, mbox):

From: Gergely Nagy <algernon@balabit.hu>
To: László Böszörményi (GCS) <gcs@debian.org>
Cc: 635659@bugs.debian.org, Thomas Goirand <zigo@debian.org>, Prach Pongpanich <prachpub@gmail.com>
Subject: Re: Bug#635659: libdbi{,-drivers} maintenance
Date: Thu, 16 Jan 2014 11:38:17 +0100
László Böszörményi (GCS) <gcs@debian.org> writes:

> I'm the maintainer of sqlite and sqlite3 and back then I was the only
> syslog-ng maintainer. Thus when I saw libdbi and libdbi-drivers is up
> for adoption, started working on them. It was March, last year. When
> almost finished, I put it down, I don't know the reason.
> Still, yesterday I've made the last bits. Both build fine with
> pbuilder. You can grab them[1][2] for testing. May I be their
> maintainers, adding whoever wants it as uploader or is there anyone
> else to continue the packaging?

As I said before, the less work I need to do, the better, so since the
update is all done and seems to be well, I'm happy. I think the lot of
you are enough to be Uploaders, I don't need to be there.

So as far as I'm concerned, go ahead and upload!

-- 
|8]




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#635659; Package wnpp. (Thu, 16 Jan 2014 11:45:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Prach Pongpanich <prachpub@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 16 Jan 2014 11:45:16 GMT) Full text and rfc822 format available.

Message #68 received at 635659@bugs.debian.org (full text, mbox):

From: Prach Pongpanich <prachpub@gmail.com>
To: László Böszörményi (GCS) <gcs@debian.org>
Cc: Gergely Nagy <algernon@balabit.hu>, Thomas Goirand <zigo@debian.org>, 635659@bugs.debian.org
Subject: Re: libdbi{,-drivers} maintenance
Date: Thu, 16 Jan 2014 18:43:38 +0700
On Thu, Jan 16, 2014 at 3:11 PM, László Böszörményi (GCS)
<gcs@debian.org> wrote:
> Hi,
>
> I'm the maintainer of sqlite and sqlite3 and back then I was the only
> syslog-ng maintainer. Thus when I saw libdbi and libdbi-drivers is up
> for adoption, started working on them. It was March, last year. When
> almost finished, I put it down, I don't know the reason.
> Still, yesterday I've made the last bits. Both build fine with
> pbuilder. You can grab them[1][2] for testing. May I be their
> maintainers, adding whoever wants it as uploader or is there anyone
> else to continue the packaging?
> The only one change that pending, is the removal of sqlite and thus
> libdbd-sqlite will be gone with that.

I have update libdbi[1],but libdbi-drivers[2] is not yet finished.

[1] http://anonscm.debian.org/gitweb/?p=collab-maint/libdbi.git
[2] http://anonscm.debian.org/gitweb/?p=collab-maint/libdbi-drivers.git


Regards,
 Prach



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#635659; Package wnpp. (Thu, 16 Jan 2014 14:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to László Böszörményi (GCS) <gcs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 16 Jan 2014 14:24:05 GMT) Full text and rfc822 format available.

Message #73 received at 635659@bugs.debian.org (full text, mbox):

From: László Böszörményi (GCS) <gcs@debian.org>
To: Prach Pongpanich <prachpub@gmail.com>
Cc: Gergely Nagy <algernon@balabit.hu>, Thomas Goirand <zigo@debian.org>, 635659@bugs.debian.org
Subject: Re: libdbi{,-drivers} maintenance
Date: Thu, 16 Jan 2014 15:21:54 +0100
On Thu, Jan 16, 2014 at 12:43 PM, Prach Pongpanich <prachpub@gmail.com> wrote:
> I have update libdbi[1],but libdbi-drivers[2] is not yet finished.
>
> [1] http://anonscm.debian.org/gitweb/?p=collab-maint/libdbi.git
> [2] http://anonscm.debian.org/gitweb/?p=collab-maint/libdbi-drivers.git
 Question is, do you want us to join forces (please choose your role
as well, maintainer or uploader) or one of us should do it alone?
You may cherry-pick my packaging if you want.

Laszlo/GCS



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#635659; Package wnpp. (Thu, 16 Jan 2014 14:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Prach Pongpanich <prachpub@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 16 Jan 2014 14:45:04 GMT) Full text and rfc822 format available.

Message #78 received at 635659@bugs.debian.org (full text, mbox):

From: Prach Pongpanich <prachpub@gmail.com>
To: László Böszörményi (GCS) <gcs@debian.org>
Cc: Gergely Nagy <algernon@balabit.hu>, Thomas Goirand <zigo@debian.org>, 635659@bugs.debian.org
Subject: Re: libdbi{,-drivers} maintenance
Date: Thu, 16 Jan 2014 21:40:55 +0700
On Thu, Jan 16, 2014 at 9:21 PM, László Böszörményi (GCS)
<gcs@debian.org> wrote:
> On Thu, Jan 16, 2014 at 12:43 PM, Prach Pongpanich <prachpub@gmail.com> wrote:
>> I have update libdbi[1],but libdbi-drivers[2] is not yet finished.
>>
>> [1] http://anonscm.debian.org/gitweb/?p=collab-maint/libdbi.git
>> [2] http://anonscm.debian.org/gitweb/?p=collab-maint/libdbi-drivers.git
>  Question is, do you want us to join forces (please choose your role
> as well, maintainer or uploader) or one of us should do it alone?

I want to set myself as uploader (you and Thomas as maintainer).

> You may cherry-pick my packaging if you want.
>

I needs lots for libdbi-drivers, please feel free to update those.

Thanks,
 Prach



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#635659; Package wnpp. (Mon, 20 Jan 2014 02:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Prach Pongpanich <prachpub@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 20 Jan 2014 02:15:04 GMT) Full text and rfc822 format available.

Message #83 received at 635659@bugs.debian.org (full text, mbox):

From: Prach Pongpanich <prachpub@gmail.com>
To: László Böszörményi (GCS) <gcs@debian.org>
Cc: Gergely Nagy <algernon@balabit.hu>, Thomas Goirand <zigo@debian.org>, 635659@bugs.debian.org
Subject: Re: libdbi{,-drivers} maintenance
Date: Mon, 20 Jan 2014 09:10:00 +0700
On Thu, Jan 16, 2014 at 9:40 PM, Prach Pongpanich <prachpub@gmail.com> wrote:
> On Thu, Jan 16, 2014 at 9:21 PM, László Böszörményi (GCS)
> <gcs@debian.org> wrote:
>> On Thu, Jan 16, 2014 at 12:43 PM, Prach Pongpanich <prachpub@gmail.com> wrote:
>>> I have update libdbi[1],but libdbi-drivers[2] is not yet finished.
>>>
>>> [1] http://anonscm.debian.org/gitweb/?p=collab-maint/libdbi.git
>>> [2] http://anonscm.debian.org/gitweb/?p=collab-maint/libdbi-drivers.git
>>  Question is, do you want us to join forces (please choose your role
>> as well, maintainer or uploader) or one of us should do it alone?
>
> I want to set myself as uploader (you and Thomas as maintainer).
>
>> You may cherry-pick my packaging if you want.

Both build fine with pbuilder (sid:i386 and amd64) and lintain clean.

libdbi (0.9.0-1) unstable; urgency=medium

  [ Prach Pongpanich ]
  * Imported Upstream version 0.9.0 (Closes: #708115, #717437)
  * Use debhelper short rules with autoreconf (Closes: #565558)
  * Add -dbg package
  * Update symbols file for new symbols
  * Add multiarch support
  * Bump Standards-Version to 3.9.5
  * Change Vcs fields to point to collab-maint
  * Adopt package (Closes: #635659)


libdbi-drivers (0.9.0-1) unstable; urgency=medium

 [ Laszlo Boszormenyi ]
  * Add debian/patches:
    + fix_sqlite3_lib_name.patch
    + mysql_h_path.patch
  * Update run tests script

 [ Prach Pongpanich ]
  * Imported Upstream version 0.9.0
  * Adopt package (Closes: #635658)
  * Update d/gbp.conf and use pristine-tar by default
  * Add openjade and docbook-dsssl in Build-depends
  * Enable hardened build flags
  * Bump Standards-Version to 3.9.5
  * Change Vcs fields to point to collab-maint


Please you review and upload.

[1] http://anonscm.debian.org/gitweb/?p=collab-maint/libdbi.git
[2] http://anonscm.debian.org/gitweb/?p=collab-maint/libdbi-drivers.git

Thanks,
 Prach



Owner recorded as Prach Pongpanich <prachpub@gmail.com>. Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Mon, 20 Jan 2014 06:57:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Prach Pongpanich <prachpub@gmail.com>:
Bug#635659; Package wnpp. (Mon, 20 Jan 2014 22:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to László Böszörményi (GCS) <gcs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Prach Pongpanich <prachpub@gmail.com>. (Mon, 20 Jan 2014 22:12:04 GMT) Full text and rfc822 format available.

Message #90 received at 635659@bugs.debian.org (full text, mbox):

From: László Böszörményi (GCS) <gcs@debian.org>
To: Prach Pongpanich <prachpub@gmail.com>
Cc: Gergely Nagy <algernon@balabit.hu>, Thomas Goirand <zigo@debian.org>, 635659@bugs.debian.org
Subject: Re: libdbi{,-drivers} maintenance
Date: Mon, 20 Jan 2014 23:09:22 +0100
On Mon, Jan 20, 2014 at 3:10 AM, Prach Pongpanich <prachpub@gmail.com> wrote:
> Both build fine with pbuilder (sid:i386 and amd64) and lintain clean.
 Actually no. You mixed libdbi-drivers and libdbi versions. The former
built only because it picked up the old, non-multi-arch variant. There
was a root build failure, missing copyright, align problems in
changelog, etc.

> Please you review and upload.
 Fixed the remaining problems and upload is pending.
Removed Thomas for now from the packaging, as no response from him if
he wants to be part of it and he has put the packages for adoption. He
is welcomed if he would like to continue with the packages.

Laszlo/GCS



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#635659; Package wnpp. (Tue, 21 Jan 2014 02:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Prach Pongpanich <prachpub@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 21 Jan 2014 02:30:05 GMT) Full text and rfc822 format available.

Message #95 received at 635659@bugs.debian.org (full text, mbox):

From: Prach Pongpanich <prachpub@gmail.com>
To: László Böszörményi <gcs@debian.org>, 635659@bugs.debian.org
Cc: Gergely Nagy <algernon@balabit.hu>, Thomas Goirand <zigo@debian.org>
Subject: Re: Bug#635659: libdbi{,-drivers} maintenance
Date: Tue, 21 Jan 2014 09:28:06 +0700
On Tue, Jan 21, 2014 at 5:09 AM, László Böszörményi <gcs@debian.org> wrote:
> On Mon, Jan 20, 2014 at 3:10 AM, Prach Pongpanich <prachpub@gmail.com> wrote:
>> Both build fine with pbuilder (sid:i386 and amd64) and lintain clean.
>  Actually no. You mixed libdbi-drivers and libdbi versions. The former
> built only because it picked up the old, non-multi-arch variant. There
> was a root build failure, missing copyright, align problems in
> changelog, etc.
>
>> Please you review and upload.
>  Fixed the remaining problems and upload is pending.
> Removed Thomas for now from the packaging, as no response from him if
> he wants to be part of it and he has put the packages for adoption. He
> is welcomed if he would like to continue with the packages.
>

Thanks for fixed the remaining problems.

He requested to keep him in uploader list.
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=635659#26

Cheers,
 Prach



Reply sent to Laszlo Boszormenyi (GCS) <gcs@debian.org>:
You have taken responsibility. (Tue, 21 Jan 2014 12:06:19 GMT) Full text and rfc822 format available.

Notification sent to Thomas Goirand <zigo@debian.org>:
Bug acknowledged by developer. (Tue, 21 Jan 2014 12:06:19 GMT) Full text and rfc822 format available.

Message #100 received at 635659-close@bugs.debian.org (full text, mbox):

From: Laszlo Boszormenyi (GCS) <gcs@debian.org>
To: 635659-close@bugs.debian.org
Subject: Bug#635659: fixed in libdbi 0.9.0-1
Date: Tue, 21 Jan 2014 12:00:07 +0000
Source: libdbi
Source-Version: 0.9.0-1

We believe that the bug you reported is fixed in the latest version of
libdbi, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 635659@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Laszlo Boszormenyi (GCS) <gcs@debian.org> (supplier of updated libdbi package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 20 Jan 2014 21:19:50 +0100
Source: libdbi
Binary: libdbi1 libdbi-dev libdbi-doc libdbi1-dbg
Architecture: source amd64 all
Version: 0.9.0-1
Distribution: unstable
Urgency: medium
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Changed-By: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Description: 
 libdbi-dev - DB Independent Abstraction Layer for C  -- development files
 libdbi-doc - DB Independent Abstraction Layer for C  -- documentation
 libdbi1    - DB Independent Abstraction Layer for C -- shared library
 libdbi1-dbg - DB Independent Abstraction Layer for C -- debugging symbols
Closes: 565558 635659 708115 717437
Changes: 
 libdbi (0.9.0-1) unstable; urgency=medium
 .
   [ Laszlo Boszormenyi (GCS) ]
   * Correct debian/copyright .
 .
   [ Prach Pongpanich ]
   * Imported Upstream version 0.9.0 (Closes: #708115, #717437)
   * Use debhelper short rules with autoreconf (Closes: #565558)
   * Add -dbg package
   * Update symbols file for new symbols
   * Add multiarch support
   * Bump Standards-Version to 3.9.5
   * Change Vcs fields to point to collab-maint
   * Adopt package (Closes: #635659)
Checksums-Sha1: 
 e87c95b1e81bc68f600b210c9da1997761692c85 2030 libdbi_0.9.0-1.dsc
 6c1ecfb78f43a921d5f914299304bd6c82cb0e23 1194284 libdbi_0.9.0.orig.tar.gz
 cc7825ec9f9124d4aff649fd7eba1584e8e62955 6748 libdbi_0.9.0-1.debian.tar.xz
 e94a3362c95a2e258d164eb64b3051fd38d33357 32118 libdbi1_0.9.0-1_amd64.deb
 e45ffd1493c449a9255b3391d8b5c124a84b61bf 34328 libdbi-dev_0.9.0-1_amd64.deb
 d6776b9a30d13e89ed7728dad38d6f63518ac0cd 753518 libdbi-doc_0.9.0-1_all.deb
 88ffa58d39974f9709f7249afffec588e47937c8 56870 libdbi1-dbg_0.9.0-1_amd64.deb
Checksums-Sha256: 
 27ec87e6118dcdb96dbc47e4a965602a4e949ba13380071ed868f7c93dd12e5e 2030 libdbi_0.9.0-1.dsc
 dafb6cdca524c628df832b6dd0bf8fabceb103248edb21762c02d3068fca4503 1194284 libdbi_0.9.0.orig.tar.gz
 478d848e72f05898f5f1440476eae76696575b5b2d18167616592088346796d7 6748 libdbi_0.9.0-1.debian.tar.xz
 86cb686a5c98b9ac2a901b1517c0df2089e880ee49b7c91ed2118424c9536a2a 32118 libdbi1_0.9.0-1_amd64.deb
 17776aa1b9a3f6d53cbe212aba3f6374622814f2ccd182a115bf02ed6694f4e0 34328 libdbi-dev_0.9.0-1_amd64.deb
 cc29d775922b995b85a5aa09aa2af78c7690a71fb6f5f33cfd92373ed44af95f 753518 libdbi-doc_0.9.0-1_all.deb
 29da3434aa0e472ecf2ec713209904799b65ffd7a618875ae69449e1e7d9a974 56870 libdbi1-dbg_0.9.0-1_amd64.deb
Files: 
 654c33e08d5e0f210e80f0821399ec51 2030 libs optional libdbi_0.9.0-1.dsc
 05e2ceeac4bc85fbe40de8b4b22d9ab3 1194284 libs optional libdbi_0.9.0.orig.tar.gz
 fa871ed24fbfaefc4033c62143cdf871 6748 libs optional libdbi_0.9.0-1.debian.tar.xz
 dd94fe0cea6213ae1009e9a02a3d7083 32118 libs optional libdbi1_0.9.0-1_amd64.deb
 74aa26100198bd836e3cc3df12fd2992 34328 libdevel optional libdbi-dev_0.9.0-1_amd64.deb
 e26acd8370ef0523352284623a7dcbb2 753518 doc optional libdbi-doc_0.9.0-1_all.deb
 328aa023237393a7fe41c2f1311a4ce0 56870 debug extra libdbi1-dbg_0.9.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJS3ZlrAAoJENzjEOeGTMi/h7gP/jKa0cq7e8l8pWK/QgkYLp07
k9D7lKlbYfXgyfRS+mnzeFl2k/YvpXHKjvu0KbpybSsEZ57Yx+z/YMbz1Zv18fFB
qJQ/SJlrKk+aQBYi0SkKhhNcGHanaXsAPNAw/soesr/V3iA3bK6dwkbqgUXsWSUp
KsVizBD9CVXm/VGb5PiahNNaCJY4BheFg96zdiKaj7W+QzTYgxy2c3vTeot1rSX0
gkyIGTMCWBvuT9UWOqUEsr8PD0pu/hJEtoeokDnA+HR6yKfy4ghYMIZRdSR0P7vu
M7uy9Lx4ZjvAjaZ4GoftrcaJl1aOY+x6tiNj1HA1HFjGb/766MjdwBkU5NqX7+FX
sLtn7UAWWXXJ2kCqnWop9tRkhS9mAlyhcNX2VXTyyylzZjbedqxrgP71RPZeJpUB
VeGODpl7nlx7rNAlrcQjWo+sJBOO2rFwwIM//+/gEgs8hL8PS0tRb7iOlUDh4r8K
ff4wVfflw1/Mu9jl8UJ7poUgtVjxDulm02Gcjg/C8jJ6o3FFa1QJViKP++nIGGOZ
TOAcCdIl0sABn7sSxPzrbJw5V5kZIAXShJGyAzbz8Shp2HytVOzzsB06j+7W+eNe
vjXj9c/oAvyf9mfIEVRjjI23qkUMimpmfI4ijaK90LNU2WjpqrfqKDI7jhwUksYC
sw4Ly3qUZhyczXbxQuOx
=eskm
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 19 Feb 2014 07:34:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:18:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.